<?php
namespace App\DTO\Validation\Rules;

use App\DTO\Validation\Validators\IsEmailRuleValidator;
use App\DTO\Validation\Validators\ValidatorInterface;
use Attribute;

#[Attribute]
class IsEmail implements ValidationRuleInterface{

  /**
   * Return mail validator class
   */
  public function getValidator():ValidatorInterface
  {
    return new IsEmailRuleValidator();
  }

}